from django.conf.urls.defaults import patterns, include, url
from django.conf import settings
from url_shortener.views import (
    HomePageView,
    UrlCreationView,
    UrlRedirectionView,
)

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls)),

    url(r'^$', HomePageView.as_view()),
    url(r'^create/$', UrlCreationView.as_view()),
    url(r'^(?P<short_url>[a-zA-Z0-9-]+)/$', UrlRedirectionView.as_view()),
)
